# Generated by Django 2.1.7 on 2019-07-12 06:52

from django.db import migrations, models
import django.db.models.deletion


def record_labels_to_table(apps, schema_edito):
    """Create Label objects and link to """
    Label = apps.get_model('music_publisher', 'Label')
    Recording = apps.get_model('music_publisher', 'Recording')
    for id, record_label in Recording.objects.all().values_list('id', 'record_label'):
        if not record_label:
            continue
        label, created = Label.objects.get_or_create(
            name=record_label)
        Recording.objects.filter(id=id).update(_record_label_id=label.id)


class Migration(migrations.Migration):

    dependencies = [
        ('music_publisher', '0002_auto_20190708_0840_squashed_0021_auto_20190710_1135'),
    ]

    operations = [
        migrations.RunPython(
            code=record_labels_to_table,
        ),
    ]
